DetokenizationDictionary.Operation (Apache OpenNLP :: Core :: Runtime 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.tokenize, class: DetokenizationDictionary, enum: Operation

Package opennlp.tools.tokenize

# Enum Class DetokenizationDictionary.Operation

java.lang.Object
java.lang.Enum<DetokenizationDictionary.Operation>
opennlp.tools.tokenize.DetokenizationDictionary.Operation

All Implemented Interfaces:
  `Serializable`, `Comparable<DetokenizationDictionary.Operation>`, `Constable`

Enclosing class:
  `DetokenizationDictionary`

public static enum DetokenizationDictionary.Operation extends Enum<DetokenizationDictionary.Operation>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MOVE_BOTH`
  Attaches the token to the token on the left and right sides.
  `MOVE_LEFT`
  Attaches the token to the token on the left side.
  `MOVE_RIGHT`
  Attaches the token to the token on the right side.
  `RIGHT_LEFT_MATCHING`
  Attaches the token to the right token on first occurrence, and to the token on the left side on the second occurrence.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DetokenizationDictionary.Operation`
  `parse(String operation)`
  `static DetokenizationDictionary.Operation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DetokenizationDictionary.Operation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MOVE_RIGHT

    public static final DetokenizationDictionary.Operation MOVE_RIGHT
    Attaches the token to the token on the right side.

  - ### MOVE_LEFT

    public static final DetokenizationDictionary.Operation MOVE_LEFT
    Attaches the token to the token on the left side.

  - ### MOVE_BOTH

    public static final DetokenizationDictionary.Operation MOVE_BOTH
    Attaches the token to the token on the left and right sides.

  - ### RIGHT_LEFT_MATCHING

    public static final DetokenizationDictionary.Operation RIGHT_LEFT_MATCHING
    Attaches the token to the right token on first occurrence, and to the token on the left side on the second occurrence.

- ## Method Details

  - ### values

    public static DetokenizationDictionary.Operation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DetokenizationDictionary.Operation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### parse

    public static DetokenizationDictionary.Operation parse(String operation)
    Parameters:
      `operation` - The string representation for which an `DetokenizationDictionary.Operation` instance is to be found.
    Returns:
      The `enum` instance that matches the given `operation`, or `null` if the input has no equivalent.